1.1
1.1
get /v1/ports/{port_id}
Description
Show port.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | port_id required | Port ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PortShowResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/ports/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"port": {
"account_id": "",
"attached_resource_id": "",
"attached_resource_type": "",
"created_at": "2026-02-11T06:45:07.111Z",
"description": "",
"fixed_ip_address": "",
"id": "",
"mac_address": "",
"modified_at": "2026-02-11T06:45:07.111Z",
"name": "",
"security_groups": [
{
"id": "",
"name": ""
}
],
"state": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}